<?
echo "<div class='event'><h1>VIP Лотерея</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
if ($ku['level']>=100){
//=======нет рубинов
if(isset($_GET['no-1'])){echo "<div class='block'><font color='tomato'>У Вас не хватает монет!</font> [<a href='?payment'>Купить</a>]</div>";}

//========Счетчик кол. средств:
$money_new = razdelen($ku['money']);

//========переменная ресурсов
$mon=10000000000000000;

//========начисление личного опыта
$opit=rand(9000000000000,10000000000000); $rating=intval("".$opit.""); $rat=$rating;

//=======================================================Выигрыш техники
if ($ku['level']>=100)$kod1=rand(0,300);//* 100 Уровень 100% на 1ч (вероятность 1 к 30). 
if ($ku['level']>=102)$kod2=rand(0,300);//* 102 Уровень + Гидропоника 200% на сутки (вероятность 1 к 25).  
if ($ku['level']>=105)$kod3=rand(0,300);//* 105 Уровень + Пугало на 5ч (вероятность 1 к 20).
if ($ku['level']>=107)$kod4=rand(0,300);//* 107 Уровень + Пугало на сутки (вероятность 1 к 20). 
if ($ku['level']>=110)$kod5=rand(0,300);//* 110 Уровень и выше + Ветряк на сутки (вероятность 1 к 40).

//=====================================Покупка билета
if(isset($_GET['opl-1'])){
echo "<div class='content'><div class='block'>";
if($ku['money']>=$mon){
$ku['money']=minus_money($mon);
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");

//===========Колхозный опыт (10% от суммы начисляемой в личный опыт)
$rratz=900000000000;
$ratingz=intval("".$rratz.""); 
$ratz=$ratingz;
update_ku('rating',($ku['rating']+$ratz));
update_mc($ratz);

//============100 Уровень 100% на 1ч (вероятность 1 к 30).
if($kod1==100 || $kod1==200 || $kod1==300){
$times1=1;//час
$timee=3600*1;//время
$ps=100;//процент гидры
mysql_query("UPDATE `kolhoz_user` SET `hydropinics_time` = '".($ku['hydropinics_time']>$time?"".($ku['hydropinics_time']+$timee)."":"".($time+$timee)."")."', `hydropinics_type` = '$ps' WHERE `id` = '$ku[id]'");
$kod1e=1;
}
//==================102 Уровень + Гидропоника 200% на сутки (вероятность 1 к 25).
if($kod2==100 || $kod2==200 || $kod2==300){
$times2=1;//сутки
$timee=3600*24;//время
$ps=200;//процент гидры
mysql_query("UPDATE `kolhoz_user` SET `hydropinics_time` = '".($ku['hydropinics_time']>$time?"".($ku['hydropinics_time']+$timee)."":"".($time+$timee)."")."', `hydropinics_type` = '$ps' WHERE `id` = '$ku[id]'");
$kod2e=1;
}
//==============105 Уровень + Пугало на 5ч (вероятность 1 к 20).
if($kod3==100 || $kod3==200 || $kod3==300){
$times3=5;//5 часов
$timee=3600*5;//время
mysql_query("UPDATE `kolhoz_user` SET `scarecrow_time` = '".($ku['scarecrow_time']>$time?"".($ku['scarecrow_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$kod3e=1;
}
//=====================107 Уровень + Пугало на сутки (вероятность 1 к 20). 
if($kod4==100 || $kod4==200 || $kod4==300){
$times4=1;//сутки
$timee=3600*24;//время
mysql_query("UPDATE `kolhoz_user` SET `scarecrow_time` = '".($ku['scarecrow_time']>$time?"".($ku['scarecrow_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$kod4e=1;
}
//===============110 Уровень и выше + Ветряк на сутки (вероятность 1 к 40).
if($kod5==100 || $kod5==200 || $kod5==300){
$times5=1;//сутки
$timee=3600*24;//время
mysql_query("UPDATE `kolhoz_user` SET `vetriak_time` = '".($ku['vetriak_time']>$time?"".($ku['vetriak_time']+$timee)."":"".($time+$timee)."")."' WHERE `id` = '$ku[id]'");
$kod5e=1;
}
//================Нет ресурсов - локируем
}else{
$_SESSION['money']=$mon-$ku['money'];
header("Location:?vip-loto&no-1");
}
$rat_st = razdelen($rat);
echo "<div class='block'><center>Ваш выигрыш: <img src='img/icons/experience.png' alt='oпыт' title='опыт'><font color='green'>+<span><b>$rat_st</b></span></font>";
if(isset($kod1e))echo "<li><span><img width='16' height='16' src='img/icons/hydropinics.png' alt='o'> <a class='epic' href='?shop=hydropinics'>Гидропоника</a> на <span class='title'><b>".($times1)."</b> час</span></li>";
if(isset($kod2e))echo "<li><span><img width='16' height='16' src='img/icons/hydropinics.png' alt='o'> <a class='epic' href='?shop=hydropinics'>Гидропоника</a> на <span class='title'><b>".($times2)."</b> сутки</span></li>";
if(isset($kod3e))echo "<li><span><img width='16' height='16' src='img/icons/scarecrow.png' alt='o'> <a class='epic' href='?shop=scarecrow'>Пугало</a> на <span class='title'><b>".($times3)."</b> часов</span></li>";
if(isset($kod4e))echo "<li><span><img width='16' height='16' src='img/icons/scarecrow.png' alt='o'> <a class='epic' href='?shop=scarecrow'>Пугало</a> на <span class='title'><b>".($times4)."</b> сутки</span></li>";
if(isset($kod5e))echo "<li><span><img width='16' height='16' src='img/icons/scarecrow.png' alt='o'> <a class='epic' href='?shop=vetriak'>Ветряк</a> на <span class='title'><b>".($times5)."</b> сутки</span></li>";
echo "</center></div>";
}
echo "<div class='content'><div class='block'><center><img src='img/loto/loto.png' alt='o'></div></div>";
echo "<div class='block'><a href='?vip-loto&opl-1'><img width='110' height='30' src='img/loto/4.png' alt='o'></a> (<font color='green'>".$mon."</font><img width='16' height='16' src='img/icons/money.png' alt='o'>)</div>";
echo "<div class='block'>";
$chas=date("H",time()); if($chas>24){$chas=round($chas-24);} if($chas<0){$chas=round($chas+24);} if($chas<=4 || $chas>=23){echo 'Доброй ночи, <b><span>'.nc($ku['id']).'</span></b></span>! ';} if($chas>=5 && $chas<=10){echo 'Доброе утро, <b><span>'.nc($ku['id']).'</span></b></span>! ';} if($chas>=11 && $chas<=17){echo 'Добрый день, <b><span>'.nc($ku['id']).'</span></b></span>! ';} if($chas>=18 && $chas<=22){echo 'Доброго вечера, <b><span>'.nc($ku['id']).'</span></b></span>! ';}
echo "</br>Ваш баланс: <span><font color='orange'>".$money_new."</font></span><img width='16' height='16' src='img/icons/money.png' alt='o'>";
echo "</div>";
echo "<div class='block'><font color='tomato'><b>ВНИМАНИЕ!</b></font></br><font color='green'>обновление странички несет за собой действие *Покупки билета*</font></div>";
}
else
echo "VIP Лотерея дрступна с 100-го уровня!";

include_once 'inc/foot.php';
?>